pcl::device::FacetStream Struct Reference

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/surface/src/internal.h>`

## Public Member Functions

| FacetStream (size_t buffer_size)
void | setInitialFacets (const InitalSimplex &simplex)
void | compactFacets ()
bool | canSplit ()
void | splitFacets ()

## Public Attributes

DeviceArray2D< int > | verts_inds
DeviceArray< int > | head_points
size_t | facet_count
DeviceArray2D< int > | empty_facets
DeviceArray< int > | empty_count
DeviceArray< int > | scan_buffer

## Detailed Description

Definition at line 64 of file internal.h.

## Constructor & Destructor Documentation

## FacetStream()

pcl::device::FacetStream::FacetStream | ( | size_t | buffer_size | ) |

## Member Function Documentation

## canSplit()

bool pcl::device::FacetStream::canSplit | ( |  | ) |

## compactFacets()

void pcl::device::FacetStream::compactFacets | ( |  | ) |

## setInitialFacets()

void pcl::device::FacetStream::setInitialFacets | ( | const InitalSimplex & | simplex | ) |

## splitFacets()

void pcl::device::FacetStream::splitFacets | ( |  | ) |

## Member Data Documentation

## empty_count

DeviceArray<int> pcl::device::FacetStream::empty_count

Definition at line 76 of file internal.h.

## empty_facets

DeviceArray2D<int> pcl::device::FacetStream::empty_facets

Definition at line 75 of file internal.h.

## facet_count

size_t pcl::device::FacetStream::facet_count

Definition at line 73 of file internal.h.

## head_points

DeviceArray<int> pcl::device::FacetStream::head_points

Definition at line 72 of file internal.h.

## scan_buffer

DeviceArray<int> pcl::device::FacetStream::scan_buffer

Definition at line 78 of file internal.h.

## verts_inds

DeviceArray2D<int> pcl::device::FacetStream::verts_inds

Definition at line 70 of file internal.h.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/surface/src/internal.h